image: cypress/base:14.16.0

variables:
  CYPRESS_CACHE_FOLDER: '$CI_PROJECT_DIR/cache/Cypress'
  CI_NODE_TOTAL: 2 # Define o número de nós usados para paralelização
  CI_NODE_INDEX: '$CI_NODE_INDEX' # Define o índice do nó atual para paralelização

cache:
  key: "$CI_COMMIT_REF_SLUG"
  paths:
    - cache/Cypress
    - node_modules

stages:
  - test

test:
  stage: test
  script:
  script:
  - npm install
  - npm run cy:run -- --spec "cypress/e2e/smartt-store.cy.js"

  artifacts:
    when: always
    paths:
      - cypress/screenshots/
      - cypress/videos/
